package com.crm.rely.backend.core.dto.ib.trade;

import lombok.Data;

@Data
public class TradeSalesPerformanceSumDto {

    /**
     * 入金金额
     */
    private Float depositAmount;

    /**
     * 出金金额
     */
    private Float withdrawAmount;

    /**
     * 净入金金额
     */
    private Float worthDepositAmount;

    /**
     * 新增客户
     */
    private Integer customNum;

    /**
     * 新增客户
     */
    private Integer addCustomNum;

    private Float curMonthDepositAmount;

    private Float curMonthdWithdrawAmount;

    private Float curMonthdWorthDepositAmount;

    private Float monthDepositAmount;

    private Float monthdWorthDepositAmount;

    public static TradeSalesPerformanceSumDto getInstance(){
        TradeSalesPerformanceSumDto dto = new TradeSalesPerformanceSumDto();
        dto.setDepositAmount(0f);
        dto.setWithdrawAmount(0F);
        dto.setWorthDepositAmount(0f);
        dto.setCustomNum(0);
        dto.setAddCustomNum(0);
        dto.setMonthDepositAmount(0f);
        dto.setMonthdWorthDepositAmount(0f);
        return dto;
    }

}
